List of all members
clan::CloseEvent Class Reference

Window close button was clicked event. More...

`#include <close_event.h>`

Inheritance diagram for clan::CloseEvent:

## Additional Inherited Members
Public Member Functions inherited from clan::EventUI
virtual | ~EventUI ()
std::shared_ptr< View > | current_target ()
| View the event is currently being dispatched to. More...
bool | default_prevented () const
| Flag if the event default action should be executed after dispatch. More...
EventUIPhase | phase () const
| Current active event phase during dispatch. More...
void | prevent_default ()
| Prevent default action from being executed after dispatch. More...
bool | propagation_stopped () const
| Flag if event propagation should stop. More...
void | set_timestamp (long long ts)
| Set event timestamp. More...
void | stop_propagation ()
| Stops event from propagating further. More...
std::shared_ptr< View > | target ()
| The target view the event is fired for. More...
long long | timestamp () const
| Timestamp for event in milliseconds since 1970. More...

## Detailed Description

Window close button was clicked event.

The documentation for this class was generated from the following file:

- close_event.h